#ifndef G168_UART_INTERFACE_H
#define G168_UART_INTERFACE_H

/* If the lexer is standalone, uncomment the YY_MAIN# define */
//#define YY_MAIN 1

/* Change flex buffer size from default 8K to 100 bytes */
#undef  YY_BUF_SIZE
#define YY_BUF_SIZE 100

/* Change YYINPUT macro to read from a buffer instead of standard input*/
#undef  YY_INPUT
#define YY_INPUT(buffer, result, max_size) (result = pipe_yyinput(buffer,max_size))

#define YY_OUTPUT(buffer, length) (pipe_yyoutput(buffer, length))

#define _WIN32

/* Prototype of buffer input function */
int pipe_yyinput(char buf[], int max_size);
int pipe_yyoutput(char buf[], int len);

#define MSG_QUEUE_DEPTH 3

#endif // G168_UART_INTERFACE
